echo
echo "convert Script (maps)"
echo
echo ".convert mapcars_test_bg_spez to raw"
../txt2bin  mapcars_test_bg_spez     mapcars_test_bg_spez.raw
echo ".convert mapcars_test_bg_spez_index to raw"
../txt2bin  mapcars_test_bg_spez_index     mapcars_test_bg_spez_index_pre.raw
echo ".bincut mapcars_test_bg_spez_index"
../bincut  mapcars_test_bg_spez_index_pre.raw  mapcars_test_bg_spez_index.raw nnnnxnxnxnxnnnnn
echo ".convert mapcars_test_bg_spez_index to s"
../bin2gold mapcars_test_bg_spez_index.raw -flip >mapcars_test_bg_spez_index.s
echo ".convert mapcars_test_bg_spez to s"
../bin2gold mapcars_test_bg_spez.raw >mapcars_test_bg_spez.s
echo ".deleting temp files"
rm mapcars_test_bg_spez_index.raw mapcars_test_bg_spez_index_pre.raw mapcars_test_bg_spez.raw
echo
echo ".convert bg0"
../16to8.exe ../tilestudio_projekte/road_bg0 64 16 >mapcars_test_bg0.s
echo ".convert bg1"
../16to8.exe ../tilestudio_projekte/road_bg1 64 16 >mapcars_test_bg1.s
echo ".convert bg2"
../16to8.exe ../tilestudio_projekte/road_bg2 64 16 >mapcars_test_bg2.s
echo
echo
echo "Making gas compatibel"
exec ../../../armcc/asmconv.sh mapcars_test_bg0.s >mapcars_test_bg0.i&
exec ../../../armcc/asmconv.sh mapcars_test_bg1.s >mapcars_test_bg1.i&
exec ../../../armcc/asmconv.sh mapcars_test_bg2.s >mapcars_test_bg2.i&
exec ../../../armcc/asmconv.sh mapcars_test_bg_spez_index.s >mapcars_test_bg_spez_index.i&
exec ../../../armcc/asmconv.sh mapcars_test_bg_spez.s >mapcars_test_bg_spez.i&
echo "all done"